<template>
  <div class="form-row d-flex" v-if="this.$route.name != 'report_day-id'">
    <div class="col-md-3">
      <label for="" class="d-block ms-2"> Name</label>
      <div class="input-group px-2">
        <div class="input-group-text">
          <font-awesome-icon fas icon="user" />
        </div>
        <input
          type="text"
          class="form-control"
          id="autoSizingInputGroup"
          placeholder="Hãy nhập tên..."
          v-model="word"
          @keyup.enter="searchName(word)"
        />
      </div>
    </div>
    <div class="col-md-3">
      <label for="" class="d-block ms-2"> Date </label>
      <div class="input px-2 input-group">
        <div class="input-group-text">
          <font-awesome-icon fas icon="birthday-cake" />
        </div>
        <input
          type="date"
          name=""
          id=""
          class="form-control"
          v-model="dateSearch"
          @keyup.enter="searchWidthDate(dateSearch)"
        />
      </div>
    </div>
    <div class="row btn-header">
      <div class="col-6">
        <button
          type="button"
          class="btn-clear btn btn-outline-primary"
          @click="clearData"
        >
          Clear
        </button>
      </div>
    </div>
  </div>
</template>

<script>
import ReportCreateEdit from './ReportCreateEdit'
import { API_TEAM } from '~/assets/contants/contant'

export default {
  data() {
    return {
      listTeam: [],
      dateSearch: '',
      word: '',
    }
  },

  components: {
    ReportCreateEdit,
  },
  async fetch() {
    this.listTeam = await this.$axios.$get(API_TEAM)
  },

  methods: {
    clearData() {
      this.dateSearch = ''
      this.word = ''
    },
    async searchWidthDate(dateSearch) {
      if (dateSearch != '') {
        this.$emit('searchDateReport', dateSearch)
      } else {
        alert('Hãy nhập ngày muốn tìm')
      }
    },

    async searchName(nameSearch) {
      if (nameSearch != '') {
        this.$emit('searchNameUser', nameSearch)
      } else {
        alert('Hãy nhập tên muốn tìm')
      }
    },
  },
}
</script>

<style>
</style>